package com.fr.plugin.xx.wechat.img.output;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.context.PluginContexts;
import com.fr.plugin.xx.wechat.img.output.handle.ExportHandler;
import com.fr.plugin.xx.wechat.img.output.handle.RestTest;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.fun.Authorize;

/**
 * @Author xx
 * @Date 2021/11/16
 * @Description
 **/
@Authorize(callSignKey = PluginConstants.PLUGIN_ID)
@EnableMetrics
public class ExportRequestHandlerBridge extends AbstractHttpHandlerProvider {

    @Override
    @Focus(id = PluginConstants.PLUGIN_ID, text = PluginConstants.PLUGIN_NAME, source = Original.PLUGIN)
    public HttpHandler[] registerHandlers() {
        if (PluginContexts.currentContext().isAvailable()) {
            return new HttpHandler[]{
                    new ExportHandler(),
                    new RestTest(),
            };
        }
        return new HttpHandler[]{

        };
    }
}
