package com.fr.plugin.xx.wechat.img.output;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.xx.wechat.img.output.dao.ImgConfigDao;
import com.fr.plugin.xx.wechat.img.output.entity.ImgConfigEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author xx
 * @Date 2020/11/29
 **/
public class ImgConfigDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider(){

                    @Override
                    public Class getEntityClass() {
                        return ImgConfigEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return ImgConfigDao.class;
                    }
                }

        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        ImgConfigDBAccessProvider.dbAccessor = dbAccessor;
    }
}
