package com.fr.plugin.xx.wechat.img.output;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;
import com.fr.plugin.xx.wechat.img.output.dao.ImgOutputDao;
import com.fr.plugin.xx.wechat.img.output.entity.WebHookEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author xx
 * @Date 2020/9/15
 * @Description
 **/
public class ImgOutputDBAccess extends AbstractDecisionDBAccessProvider {

    private static DBAccessor dbAccessor;
    public DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return WebHookEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return ImgOutputDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        ImgOutputDBAccess.dbAccessor = dbAccessor;
    }
}
