package com.fr.plugin.xx.wechat.img.output;

import com.fr.plugin.context.PluginContext;
import com.fr.plugin.xx.wechat.img.output.conf.ImgPushConfig;
import com.fr.plugin.xx.wechat.img.output.entity.OutputWebHook;
import com.fr.plugin.xx.wechat.img.output.entity.WebHookEntity;
import com.fr.plugin.xx.wechat.img.output.handle.WebHookHandle;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.schedule.feature.ScheduleOutputActionEntityRegister;
import com.fr.schedule.feature.output.OutputActionHandler;

/**
 * @Author xx
 * @Date 2020/9/15
 * @Description
 **/
public class OutputPluginLifecycleMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    public void afterRun(PluginContext pluginContext) {
        ImgPushConfig.getInstance();
        OutputActionHandler.registerHandler(new WebHookHandle(), OutputWebHook.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().addClass(WebHookEntity.class);
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {
        OutputActionHandler.removeOutputHandler(OutputWebHook.class.getName());
        ScheduleOutputActionEntityRegister.getInstance().removeClass(WebHookEntity.class);
    }
}
