package com.fr.plugin.xx.wechat.img.output.entity;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author xx
 * @Date 2022/7/14
 * @Description
 **/
@Entity
@Table(name = "plugin_img_config")
public class ImgConfigEntity extends BaseEntity {

    @Column(name = "deptName")
    private String deptName;

    @Column(name = "deptId")
    private String deptId;

    @Column(name = "date")
    private String date;

    @Column(name = "upname")
    private String upname;

    @Column(name = "level")
    private String level;

    @Column(name = "name")
    private String name;

    @Column(name = "actNumber")
    private String actNumber;


    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getUpname() {
        return upname;
    }

    public void setUpname(String upname) {
        this.upname = upname;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getActNumber() {
        return actNumber;
    }

    public void setActNumber(String actNumber) {
        this.actNumber = actNumber;
    }

    public Map<String, Object> toMap() {
        Map<String, Object> params = new HashMap<>();
        params.put("date",date);
        params.put("upname",upname);
        params.put("level",level);
        params.put("name",name);
        return params;
    }
}
