package com.fr.plugin.xx.wechat.img.output.entity;

import com.fr.schedule.base.bean.BaseBean;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @Author xx
 * @Date 2020/9/15
 * @Description
 **/
@Entity
@Table(name = "fine_output_webHook") //表名
@TableAssociation(associated = true)
public class WebHookEntity extends AbstractScheduleEntity {

    @Column(name = "hookUrl")
    private String hookUrl;

    public WebHookEntity() {
    }

    @Override
    public BaseBean createBean() {
        return new OutputWebHook().id(this.getId()).hookUrl(this.hookUrl);
    }

    public String getHookUrl() {
        return hookUrl;
    }

    public void setHookUrl(String hookUrl) {
        this.hookUrl = hookUrl;
    }

    public WebHookEntity hookUrl(String hookUrl) {
        setHookUrl(hookUrl);
        return this;
    }

    public WebHookEntity id(String id) {
        setId(id);
        return this;
    }
}
