package com.fr.plugin.xx.wechat.img.output.handle;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.io.TemplateWorkBookIO;
import com.fr.io.exporter.ImageExporter;
import com.fr.main.TemplateWorkBook;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.plugin.xx.wechat.img.output.LogUtils;
import com.fr.stable.ViewActor;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileOutputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * @Author xx
 * @Date 2022/7/21
 * @Description
 **/
public class RestTest extends BaseHttpHandler {


    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/test";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        String file = "/Users/hujian/Desktop/test/";
        FileOutputStream os = new FileOutputStream(new File(file+ UUID.randomUUID().toString()+".png"));
        String cptName = "单C穿透日报-分支去边.cpt";
        Map<String, Object> params = new HashMap<>();
        params.put("date","date");
        params.put("upname","upname");
        params.put("level","level");
        params.put("name","name");
        TemplateWorkBook wb = TemplateWorkBookIO.readTemplateWorkBook(cptName);
        ImageExporter exporter = new ImageExporter("png", 96);
        ResultWorkBook resultWorkBook = wb.execute(params, new ViewActor());
        exporter.export(os, resultWorkBook);
        LogUtils.debug4plugin("execute temp {} by param {}",cptName,params);
    }
}
