package com.fr.plugin.xx.wechat.img.output.js;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.context.PluginContexts;
import com.fr.plugin.xx.wechat.img.output.PluginConstants;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.Authorize;
import com.fr.web.struct.Atom;

/**
 * @author xx
 * @date 2019/6/12
 */
@FunctionRecorder
@Authorize(callSignKey = PluginConstants.PLUGIN_ID)
public class JSCSSBridge extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        //在平台主组件加载时添加我们自己的组件
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        //我们自己要引入的组件
        if(PluginContexts.currentContext().isAvailable()){
            return FileDef.KEY;
        }else {
            return MainComponent.KEY;
        }
    }
}
